# All files / src/generators valueProp.js

100% Statements 2/2
100% Branches 2/2
100% Functions 2/2
100% Lines 2/2

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15

    36x

    36x

     // @flow

    import type { ValuePropNodeType, GeneratedCodeType, NodeType } from '../types'

    export default (
      Generator: NodeType => GeneratedCodeType
    ): (ValuePropNodeType => GeneratedCodeType) => ({
      value
    }: ValuePropNodeType): GeneratedCodeType =>
      value.optional
        ? `_.__opt__(${Generator(value.left)}, function(x) {return x${
          value.right
        }})`
        : `${Generator(value.left)}${value.right}`